--
-- sample 変数の使用方法
--
-- Copyright (c) 2021 https://www.curict.com
-- This software is released under the MIT License, see LICENSE.txt.
--

-----------------------------------------
--変数の宣言
-----------------------------------------

--INT型の変数「@age」を宣言
DECLARE @age INT


--初期値を指定して変数を宣言
DECLARE @CountryName VARCHAR(100) = 'United States'
DECLARE @CountryCode INT = 1


--変数をまとめて宣言
DECLARE @RoomType   VARCHAR(100)
       ,@RoomNumber INT

--変数をまとめて宣言し、初期値を設定
DECLARE @PlayerName VARCHAR(100) = 'Player1'
       ,@Score INT = 95


-----------------------------------------
--値の代入
-----------------------------------------

--変数「@PlayerName」に 'Player2' を代入
SET @PlayerName = 'Player2'


--SELECT結果を変数に代入
DECLARE @ObjectName VARCHAR(100)
SELECT @ObjectName = name
  FROM sys.objects


--集計関数の結果を変数に代入
DECLARE @MaxObjectId INT, @MinObjectId INT
SELECT @MaxObjectId = MAX(object_id)
      ,@MinObjectId = MIN(object_id)
  FROM sys.objects


-----------------------------------------
--変数の内容を確認
-----------------------------------------

--SELECT文を使用して変数の値を出力
SELECT @PlayerName, @Score


--変数の出力結果にカラム名を指定
SELECT @PlayerName AS PlayerName
      ,@Score      AS Score


--PRINT で変数の値を確認
PRINT '--変数の値を確認--'
PRINT @PlayerName
PRINT @Score
